Subject: bug#42655: 27.1; iconify-frame on a Lucid build may stuck the frame

From: Bhavin Gandhi <[email-masked]>
Date: Thu, 6 Aug 2020 00:01:18 +0530

On Wed, 5 Aug 2020 at 23:54, Tino Calancha <[email-masked]> wrote:
> >> If the problem is with display, then does it help to type (blindly)
> >> "M-x redraw-display RET"?
> >
> > No it doesn't. The only thing worked was to create a new frame.
> Bhavin, have you started the Emacs session with `Emacs -Q`?

No, this was a normal start with `emacs`.

> In my case, I got the super-nasty scenario (ie, only works to create a new
> frame) when I load my custom libraries.
>
> If I start with `Emacs -Q` it is less severe: te frame wakes up
> if I input:
> M-x

I had exactly the same behavior.

> here is the backtrace at the point when Emacs is stuck.

This backtrace was created with `emacs -Q` as Eli suggested initially.